This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 177567 - Review Request: smb4k - The SMB/CIFS Share Browser for KDE
Review Request: smb4k - The SMB/CIFS Share Browser for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dawid Gajownik
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-11 15:53 EST by Marcin Garski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 16:01:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2006-01-11 15:53:11 EST
Spec Name or Url: http://manta.univ.gda.pl/~mgarski/fe/smb4k.spec
SRPM Name or Url: http://manta.univ.gda.pl/~mgarski/fe/smb4k-0.6.5-1.src.rpm
Description:
Smb4K is an SMB/CIFS share browser for KDE. It uses the Samba software suite to
access the SMB/CIFS shares of the local network neighborhood. Its purpose is to
provide a program that's easy to use and has as many features as possible.
Comment 1 Dawid Gajownik 2006-01-11 18:26:56 EST
Hi!

I did not have time to take a closer look at this package but I found two problems:
- Missing builRequires: kdebase-devel. Without it compilation fails:

smb4k_konqplugin.h:28:31: error: konqsidebarplugin.h: No such file or directory

- “BuildRequires:	kdelibs-devel >= 3.2.0” -- it will not work as expected in
Fedora because kdelibs has “Epoch” tag set to “6”. You can change it to:

BuildRequires: kdelibs-devel >= 6:3.2

or remove “>= 6:3.2” part completely. FE is only for FC3+ so it's always true.

BTW You may want to add “--disable-dependency-tracking --enable-final” to the
configure script (I see that Rex Dieter adds these flags to his KDE packages).

If no one will be willing to make a review, I can do that at the weekend.
Comment 2 Marcin Garski 2006-01-12 07:19:16 EST
http://manta.univ.gda.pl/~mgarski/fe/smb4k.spec
http://manta.univ.gda.pl/~mgarski/fe/smb4k-0.6.5-2.src.rpm

I have added kdebase-devel to BR. I'll think about
“--disable-dependency-tracking --enable-final”, thanks for info.
Comment 3 Dawid Gajownik 2006-01-14 12:44:56 EST
(In reply to comment #2)
> I have added kdebase-devel to BR. I'll think about
> “--disable-dependency-tracking --enable-final”, thanks for info.

I found some more info about these options →
http://www.kadu.net/forum/viewtopic.php?t=6607 (in Polish ;] )
http://lists.kde.org/?l=kde-devel&m=99197154828408&w=2
These options are useful for packagers but not for the developers so it would be
nice to turn them on :D

Things that need some work:
- *.desktop file does not have “MimeType” tag so you don't have to run
`update-desktop-database'
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=177588#c3
(please don't forget to remove unneeded Requires)
- you may want to change “/etc/profile.d/qt.sh” to “%{_sysconfdir}/profile.d/qt.sh”
- broken libtool archive:

[y4kk0@X i386]$ rpmlint smb4k-0.6.5-2.i386.rpm
E: smb4k invalid-directory-reference /usr/lib/kde3/konqsidebar_smb4k.la
W: smb4k dangling-relative-symlink /usr/share/doc/HTML/en/smb4k/common ../common
[y4kk0@X i386]$

For example on my machine “dependency_libs” variable from that file contains
"-L/home/y4kk0/rpmbuild/BUILD/smb4k-0.6.5/smb4k/core
-L/home/y4kk0/rpmbuild/BUILD/smb4k-0.6.5/smb4k/widgets". I'll try to investigate
it further.
Comment 4 Marcin Garski 2006-01-15 09:11:52 EST
http://manta.univ.gda.pl/~mgarski/fe/smb4k.spec
http://manta.univ.gda.pl/~mgarski/fe/smb4k-0.6.5-3.src.rpm

- Get rid of desktop-file-utils
- Add --disable-dependency-tracking & --enable-final
- Changed "/etc/profile.d/qt.sh" to "%{_sysconfdir}/profile.d/qt.sh"

Still there is a bug:
E: smb4k invalid-directory-reference /usr/lib64/kde3/konqsidebar_smb4k.la
Comment 5 Marcin Garski 2006-01-16 07:06:32 EST
It's strange. I've added --disable-dependency-tracking & --enable-final to
Krusader's configure (in devel tree) and compilation failed with errors like:
/usr/include/stdlib.h:626: error: ambiguates old declaration 'void abort()'
/usr/lib/qt-3.3/include/qprinter.h:151: error: non-member function 'bool
aborted()' cannot have cv-qualifier
/usr/lib/qt-3.3/include/qprinter.h:155: error: non-member function 'PaperSource
paperSource()' cannot have cv-qualifier
/usr/lib/qt-3.3/include/qprinter.h:156: error: virtual outside class declaration

I've removed --disable-dependency-tracking, the same errors occur, then remove
--enable-final and compilation went fine, I didn't checked what will happen with
--disable-dependency-tracking only.
Comment 6 Ralf Corsepius 2006-01-16 09:15:24 EST
(In reply to comment #5)
> I didn't checked what will happen with
> --disable-dependency-tracking only.

--disable-dependency-tracking has nothing to do with your problem and must not
have any effect on your problems above. If it has, the package is broken.

All it does it is to let the compilation rules being used inside of Makefiles
not to use rules to generated source file dependencies. This speeds up building
significantly during one time "configure/build/install" runs like those inside
of a build system.



Comment 7 Marcin Garski 2006-01-16 16:50:58 EST
Thanks for explanation. --enable-final has caused this errors.
Comment 8 Dawid Gajownik 2006-01-17 18:51:39 EST
(In reply to comment #4)
> Still there is a bug:
> E: smb4k invalid-directory-reference /usr/lib64/kde3/konqsidebar_smb4k.la

I've been reading today Maikefile.am files but I'm still a newbie in an
Autotools world :/ The only thing I can propose right now is adding these lines:

# ugly workaround for broken libtool archive
sed -i -e "s:-L%{_builddir}/%{name}-%{version}/smb4k/core ::" \
        $RPM_BUILD_ROOT%{_libdir}/kde3/konqsidebar_smb4k.la
sed -i -e "s:-L%{_builddir}/%{name}-%{version}/smb4k/widgets ::" \
        $RPM_BUILD_ROOT%{_libdir}/kde3/konqsidebar_smb4k.la

before execution of %find_lang macro. I see also in konqsidebar_smb4k.la
references to /usr/lib/libsmb4kcore.la and /usr/lib/libsmb4kwidgets.la in
dependency_libs field. I'm not shure whether they can be removed (Konqueror
plugin works without them fine, though). Someone more knowledgeable should
answer this question.

Yuck, libtool archives make me sick... ;-)

(In reply to comment #5)
> It's strange. I've added --disable-dependency-tracking & --enable-final to
> Krusader's configure (in devel tree) and compilation failed

I've been tesing these options with smb4k on my Rawhide box and it compiles fine.
Comment 9 Dawid Gajownik 2006-01-18 08:31:42 EST
That's me again ;-) I've forgot to mention, that BR libxml2 is not necessary
(it's a dependency of kdebase).
Comment 10 Marcin Garski 2006-01-18 14:21:33 EST
http://manta.univ.gda.pl/~mgarski/fe/smb4k.spec
http://manta.univ.gda.pl/~mgarski/fe/smb4k-0.6.5-4.src.rpm

- Remove libxml2 from BR
- Add workaround for broken libtool archive (made by Dawid Gajownik)

Thanks for workaround, I'm also autotools newbie.

I'm compile smb4k with this two options on my FC4 box and it's also went fine.
But setting --enable-final for digikam and krusader caused strange errors on
rawhide.
Comment 11 Dawid Gajownik 2006-01-30 17:58:12 EST
Here's the review:

- rpmlint errors:

[y4kk0@X i386]$ rpmlint smb4k-*
W: smb4k dangling-relative-symlink /usr/share/doc/HTML/en/smb4k/common ../common
W: smb4k-devel no-documentation
[y4kk0@X i386]$

They can be disregarded.
- proper licence (GPL)
- source matches upstream

--- Things that should be fixed ---
Change

%{_datadir}/apps/konqsidebartng/

to

%{_datadir}/apps/konqsidebartng/add/smb4k_add.desktop

because:

[y4kk0@X tmp]$ rpm -qf /usr/share/apps/konqsidebartng/add/
kdebase-3.5.0-2
[y4kk0@X tmp]$

This also applies to:

%{_datadir}/icons/crystalsvg/*

[y4kk0@X tmp]$ rpm -qf /usr/share/icons/crystalsvg/16x16
kdelibs-3.5.0-5
[y4kk0@X tmp]$

This should be changed to:

%{_datadir}/icons/crystalsvg/*/apps/smb4k.png

Package is approved but you must correct these two glitches.
Comment 12 Marcin Garski 2006-01-30 18:47:50 EST
Thanks for approving it. I'll fix this bugs.
Comment 13 Marcin Garski 2006-02-01 16:01:32 EST
- Fix GCC warnings
- Don't own KDE directories
Comment 14 Christian Iseli 2006-03-29 09:17:50 EST
Set blocker to FE-ACCEPT (please do so when you approve a package).

Note You need to log in before you can comment on or make changes to this bug.